package dal

// SQL migrations https://github.com/golang-migrate/migrate/tree/master/database/sqlite

import (
	"embed"
	"net/http"

	"github.com/golang-migrate/migrate/v4"
	_ "github.com/golang-migrate/migrate/v4/database/sqlite3"
	"github.com/golang-migrate/migrate/v4/source/httpfs"
)

var (
	//go:embed migrations
	migrations embed.FS
)

func NewMigrator(dsn string) (*migrate.Migrate, error) {
	source, err := httpfs.New(http.FS(migrations), "migrations")
	if err != nil {
		return nil, err
	}

	m, err := migrate.NewWithSourceInstance("httpfs", source, dsn)
	if err != nil {
		return nil, err
	}

	return m, nil
}
